%global pkgname django-nose

Name:           python-django-nose
Version:        1.3
Release:        2%{?dist}
Summary:        Django test runner that uses nose

License:        BSD
URL:            http://github.com/jbalogh/django-nose
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

# cherry-picked an upstream commit to ensure django-1.8 compatibility
# https://github.com/django-nose/django-nose/commit/08bc8e5efc0e89bbce4ca2a3bf5a5bcdb49ae43c
Patch0:         python-django-nose-django18-compat.patch

# upstream commit set runner by option
# as dependency for patch2.
Patch1:         10568067acde9a5bcb83be609de6bdeb3c07ae01.patch
# Convert nose optparse options to argparse
# https://github.com/jwhitlock/django-nose/commit/5c936915b3964e7f71c568219693e43f319b50ca
Patch2:         convert-nose-optparse-options.patch
BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools
Requires:       python-nose
Requires:       python-django
Provides:       django-nose = %{version}-%{release}


%description
Django test runner that uses nose.

%prep
%setup -q -n %{pkgname}-%{version}

# remove egg-info
rm -rf django_nose.egg-info

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc README.rst
%license LICENSE
%{python_sitelib}/django_nose
%{python_sitelib}/django_nose-%{version}-py?.?.egg-info


%changelog
* Tue Apr 14 2015 Matthias Runge <mrunge@redhat.com> - 1.3-2
- Convert nose optparse options to argparse

* Fri Feb 27 2015 Matthias Runge <mrunge@redhat.com> - 1.3-1
- update to 1.3
- add patch for Django-1.8 compatibility

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Matthias Runge <mrunge@redhat.com> - 1.2-1
- update to 1.2

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 17 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0-3
- update provides for django-nose

* Fri Mar 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0-2
- change requirement from Django to python-django

* Fri Mar 16 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0-1
- update to 1.0 from upstream
- more explicit %%files-section
- remove bundled egg-info

* Tue Jan 31 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.1.3-1
- initial packaging
